sawfish r4356 - in trunk: . m4
- From: chrisb svn gnome org
- To: svn-commits-list gnome org
- Subject: sawfish r4356 - in trunk: . m4
- Date: Thu, 1 Jan 2009 19:07:43 +0000 (UTC)
Author: chrisb
Date: Thu Jan 1 19:07:43 2009
New Revision: 4356
URL: http://svn.gnome.org/viewvc/sawfish?rev=4356&view=rev
Log:
add m4 directory to make libtool 1.x shut up
check for libtool version in autogen.sh for correct command
Added:
trunk/m4/
Modified:
trunk/ChangeLog
trunk/autogen.sh
Modified: trunk/autogen.sh
==============================================================================
--- trunk/autogen.sh (original)
+++ trunk/autogen.sh Thu Jan 1 19:07:43 2009
@@ -4,8 +4,12 @@
make distclean
fi
+if [ -f aclocal.m4 ]; then
+ rm -fv aclocal.m4
+fi
+
if [ -d m4 ]; then
- rm -rf m4
+ rm -fv m4/*
fi
if [ -f configure.in ]; then
@@ -15,7 +19,11 @@
fi
if grep "AM_PROG_LIBTOOL" configure.in >/dev/null; then
echo "Running libtoolize"
- libtoolize --force --copy --install || exit 1
+ lver=$(libtool --version | grep 1.5)
+ if [[ ${lver} != "" ]]; then
+ libtoolize --force --copy || exit 1
+ else libtoolize --force --copy --install || exit 1
+ fi
fi
echo "Running aclocal $ACLOCAL_FLAGS"
aclocal -I m4 $ACLOCAL_FLAGS || exit 1
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]